=== debian/changelog ===
erlang-erlydtl (0.15.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1127485)

 -- Dominik George <natureshadow@debian.org>  Sat, 07 Feb 2026 22:39:01 +0000
