=== debian/control ===
Source: erlang-erlydtl
Maintainer: Ejabberd Packaging Team <ejabberd@packages.debian.org>
Uploaders: Dominik George <natureshadow@debian.org>
Section: libs
Priority: optional
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-rebar (>= 0.0.6),
               erlang-parsetools
Standards-Version: 4.7.3
Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/erlang-erlydtl
Vcs-Git: https://salsa.debian.org/ejabberd-packaging-team/erlang-erlydtl.git
Homepage: https://github.com/erlydtl/erlydtl

Package: erlang-erlydtl
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         erlang-base, ${erlang-abi:Depends},
         ${erlang:Depends}
Multi-Arch: allowed
Description: Django templates for Erlang
 ErlyDTL compiles Django Template Language to Erlang bytecode.
 .
 ErlyDTL implements the Django Template Language as documented for
 Django version 1.6. It is intended to be completely compatible,
 with a few differences.
